ClarisDrawGraphInternal::CurvePoint Struct Reference

Internal: the structure used to a point of a ClarisDrawGraph. More...

## Public Member Functions
| CurvePoint (MWAWVec2f point=MWAWVec2f())

## Public Attributes
MWAWVec2f | m_pos
| the main position
MWAWVec2f | m_controlPoints [2]
| the control point: previous, next
int | m_type
| the point type

## Friends
std::ostream & | operator<< (std::ostream &o, CurvePoint const &pt)
| operator<<

## Detailed Description

Internal: the structure used to a point of a ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ CurvePoint()

ClarisDrawGraphInternal::CurvePoint::CurvePoint | ( | MWAWVec2f | point = MWAWVec2f() | ) |
| inline explicit

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | CurvePoint const & | pt )
| friend

operator<<

## Member Data Documentation

## ◆ m_controlPoints

MWAWVec2f ClarisDrawGraphInternal::CurvePoint::m_controlPoints[2]

the control point: previous, next

Referenced by CurvePoint(), operator<<, and ClarisDrawGraph::readPolygonData().

## ◆ m_pos

MWAWVec2f ClarisDrawGraphInternal::CurvePoint::m_pos

the main position

Referenced by CurvePoint(), and operator<<.

## ◆ m_type

int ClarisDrawGraphInternal::CurvePoint::m_type

the point type

Referenced by CurvePoint(), operator<<, and ClarisDrawGraph::readPolygonData().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx